Package org.apache.lucene.sandbox.document

# Class FloatPointNearestNeighbor

java.lang.Object
org.apache.lucene.sandbox.document.FloatPointNearestNeighbor

public class FloatPointNearestNeighbor extends Object
KNN search on top of N dimensional indexed float points.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatPointNearestNeighbor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TopFieldDocs`
  `nearest(IndexSearcher searcher, String field, int topN, float... origin)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FloatPointNearestNeighbor

    public FloatPointNearestNeighbor()

- ## Method Details

  - ### nearest

    public static TopFieldDocs nearest(IndexSearcher searcher, String field, int topN, float... origin) throws IOException
    Throws:
      `IOException`